package org.processmining.miminer.visualisation;

import java.util.HashMap;
import java.util.Map;

import javax.swing.JPanel;
import javax.swing.JSplitPane;
import javax.swing.JWindow;

import org.processmining.framework.util.ui.widgets.ProMSplitPane;
import org.processmining.framework.util.ui.widgets.ProMTableWithoutPanel;
import org.processmining.miminer.models.ArtifactTypeModel;
import org.processmining.miminer.models.ArtifactTypeModel.ArtifactState;
import org.processmining.miminer.models.ArtifactTypeModel.ArtifactTransition;
import org.processmining.plugins.graphviz.visualisation.DotPanel;

public class VisualisationConnections {

	public ProMSplitPane topComponent;
	
	public ProgressUI progressUI;
	public Map<String,DotPanel> graphs = new HashMap<>();
	public Map<String,JPanel> graphWrappers = new HashMap<>();
	public Map<String,Boolean> visibleModels = new HashMap<>();
	public JPanel artifactRelationPanel;
	
	public ProMTableWithoutPanel statisticsPane;
	public JPanel interactionPane;
	public JSplitPane graphStatisticsWrapper;
	
	public ArtifactState selectedState;
	public ArtifactTransition selectedTransition;
	public ArtifactTypeModel selectedModel;
	public Map<ArtifactState, JWindow> statisticsWindows = new HashMap<>();
	
	public MetricsPanel metricsPane;
	public RelationsPanel relationsPane;
	
}
